## Get Sharepoint Drives

### cURL

```
curl --request GET \
  --url https://flows.super.ai/api/integrations/plugins/sharepoint/drives \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://flows.super.ai/api/integrations/plugins/sharepoint/drives"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/integrations/plugins/sharepoint/drives', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### API Responses

#### Error Response

```json
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
```

#### Authorizations

- X-API-Key  
  **Type**: string  
  **Location**: header  
  **Required**: Yes  
  **Description**: API key authentication. Include your API key in the X-API-Key header as: `X-API-Key YOUR_API_KEY`

- Authorization  
  **Type**: string  
  **Location**: header  
  **Required**: Yes  
  **Description**: JWT Bearer token authentication. Include your access token in the Authorization header as: `Bearer YOUR_ACCESS_TOKEN`

#### Query Parameters

- credential_id: string<uuid> (required)  
- site_id: string<uuid> (required)

#### Response

**200** - Successful Response

You can find more details in the documentation.
